## nvidia-cuda-toolkit 5.0.35

=== debian/changelog ===
nvidia-cuda-toolkit (5.0.35-4ubuntu1) raring; urgency=low

  * Ubuntu: Build-depend/Depend on nvidia-304*, nvidia-310* and
    nvidia-313*. (LP: #1162945) 

 -- Graham Inggs <graham@nerve.org.za>  Tue, 02 Apr 2013 13:24:16 +0200

nvidia-cuda-toolkit (5.0.35-4) experimental; urgency=low

  [ Graham Inggs ]
  * Ubuntu: Build-Depend/Depend on nvidia-experimental-* (LP: #1092259).

  [ Andreas Beckmann ]
  * Ubuntu: Override libcuda.so.1 dependencies via shlibs.local to support
    installing with nvidia-experimental-* while building against
    nvidia-current.  (Closes: #700621)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Feb 2013 15:58:28 +0100

nvidia-cuda-toolkit (5.0.35-3) experimental; urgency=low

  * nvidia-profiler: New package (split from nvidia-cuda-toolkit) that ships
    the nvprof binary which supports both CUDA and OpenCL.
  * nvidia-visual-profiler: Depend on nvidia-profiler for the nvprof binary.
    (Closes: #695493)
  * nvcc.profile: Enable the 'LIBRARIES =+ -lcudart' setting to not deviate
    from upstream behavior.  (Closes: #697730)
  * Update my email address and remove DMUA.
  * Switch to Standards-Version: 3.9.4 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Jan 2013 19:27:19 +0100

nvidia-cuda-toolkit (5.0.35-2) experimental; urgency=low

  * debian/copyright: Synchronize with reformatted EULA.txt.
  * Drop hardcoded java path from nvvp.ini and nsight.ini.  (Closes: #693703)
  * nvidia-nsight: Add /usr/share/nvidia-nsight/configuration ->
    /usr/lib/nvidia-nsight/configuration symlink.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 24 Nov 2012 15:57:03 +0100

nvidia-cuda-toolkit (5.0.35-1) experimental; urgency=low

  * New upstream release 5.0.
  * debian/{control,rules}: Use substvars for the names of the libcuda1 and
    nvidia-libopencl1 packages.
  * Ubuntu: Build-Depend/Depend on nvidia-current | nvidia-current-updates
    instead of libcuda1 and nvidia-libopencl1.
  * Update lintian overrides.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 21 Oct 2012 17:06:18 +0200

nvidia-cuda-toolkit (5.0.24-1) experimental; urgency=low

  * New upstream release candidate 5.0 RC.  (Closes: #686560)
  * Upload to experimental.
  * watch: simplify and switch to the release candidate page.
  * Only extract the .run file for the current architecture.
  * Drop B-D: libqt*, since 4.1 the profiler uses eclipse instead of Qt.
  * get-orig-source: skip downloading if cached files are in ../.cache/
  * get-orig-source: extract and repack run-in-run archives.
  * SOVERSION bump: 4 => 5.0, rename all library packages.
  * libcuinj.so.4 has changed the SONAME to libcuinj{32,64}.so.5.0: rename and
    clone package accordingly.
  * Update symbols files.
  * Update lintian overrides and override hardening warnings.
  * nvidia-visual-profiler: Generalize installation and linking to
    automatically pickup new files and forget removed ones.
  * nvidia-nsight: new package for NVIDIA Nsight Eclipse Edition.
  * libnvtoolsext5.0: new package for the NVIDIA Tools Extension (runtime).
  * Update .install lists for added files.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 01:44:29 +0200
