=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 libcuda1 | nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310 | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates,
Standards-Version: 3.9.4
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-profiler (= ${binary:Version}),
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}),
 gcc-4.6 | gcc-4.5 | gcc-4.4, g++-4.6 | g++-4.5 | g++-4.4,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}),
Suggests:
 libcupti-dev,
Description: NVIDIA CUDA toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA GDB
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: nvidia-cuda-toolkit (<< 5.0.35-3)
Replaces: nvidia-cuda-toolkit (<< 5.0.35-3)
Description: NVIDIA Profiler for CUDA and OpenCL
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the nvprof profiler.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends:
# eclipse-platform,
# eclipse-gef,
 default-jre | java6-runtime,
 libgtk2.0-0,
 libcuinj32-${cuda:SoVersion} [i386],
 libcuinj64-${cuda:SoVersion} [amd64],
 nvidia-profiler (= ${binary:Version}),
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Replaces:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Homepage: http://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-nsight
Section: non-free/devel
Architecture: i386 amd64
Depends:
 default-jre | java6-runtime,
 libgtk2.0-0,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: http://developer.nvidia.com/cuda/nsight-eclipse-edition
Description: NVIDIA Nsight Eclipse Edition
 NVIDIA Nsight Eclipse Edition is a full-featured IDE powered by the Eclipse
 platform that provides an all-in-one integrated environment to edit, build,
 debug and profile CUDA-C applications.
 Nsight Eclipse Edition supports a rich set of commercial and free plugins.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart${cuda:SoVersion} (= ${binary:Version}),
 libcublas${cuda:SoVersion} (= ${binary:Version}),
 libcufft${cuda:SoVersion} (= ${binary:Version}),
 libcusparse${cuda:SoVersion} (= ${binary:Version}),
 libcurand${cuda:SoVersion} (= ${binary:Version}),
 libnpp${cuda:SoVersion} (= ${binary:Version}),
 libcuinj32-${cuda:SoVersion} (= ${binary:Version}) [i386],
 libcuinj64-${cuda:SoVersion} (= ${binary:Version}) [amd64],
 libnvtoolsext${cuda:SoVersion} (= ${binary:Version}),
 libthrust-dev,
 ${misc:Depends}
Recommends:
 ${package:libcuda1},
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 ${package:nvidia-libopencl1} | libopencl1,
 opencl-headers (>= 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 195.36.31-90)
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${package:libcuda1}
Description: NVIDIA CUDA runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library.

Package: libcublas5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA BLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library.

Package: libcufft5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA FFT runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library.

Package: libcusparse5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Sparse Matrix runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library.

Package: libcurand5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Random Numbers Generation runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library.

Package: libnpp5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library.

Package: libcuinj32-5.0
Architecture: i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
Description: NVIDIA CUDA INJ runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the 32-bit CUDA INJ runtime library.

Package: libcuinj64-5.0
Architecture: amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
Description: NVIDIA CUDA INJ runtime library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the 64-bit CUDA INJ runtime library.

Package: libnvtoolsext5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://http.developer.nvidia.com/ParallelNsight/1.51/UserGuide/HTML/How_To_Use_the_NVIDIA_Tools_Extension_Library_%28nvtx%29.html
Description: NVIDIA Tools Extension
 The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and
 ranges in your applications. Applications which integrate NVTX can use Nsight
 to capture and visualize these events and ranges.
 .
 This package contains the NVIDIA Tools Extension runtime library.

Package: libcupti5.0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface runtime library
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the runtime library.

Package: libcupti-dev
Section: non-free/libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends: libcupti${cuda:SoVersion} (= ${binary:Version}), ${misc:Depends}
Recommends: libcupti-doc
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface development files
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the development files: headers and libraries.

Package: libcupti-doc
Section: non-free/doc
Architecture: all
