=== debian/watch ===
version=3
http://developer.nvidia.com/cuda-downloads .*/cuda(?:.*)_(.*)_linux_32_ubuntu(?:.*).run
http://developer.nvidia.com/cuda-downloads .*/cuda(?:.*)_(.*)_linux_64_ubuntu(?:.*).run

# source code for nvopencc and cuda-gdb is available here:
# ftp://download.nvidia.com/CUDAOpen64/
