## nvidia-cuda-toolkit 5.5.22

=== debian/changelog ===
nvidia-cuda-toolkit (5.5.22-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. (LP: #1289463)
  * d/control:
    - remove build-depends on nvidia-current
  * d/rules:
    - remove package_libcuda1 depends on nvidia-current,
      update to libcuda-5.5-1
    - remove package_nvidia-libopencl1 depends on nvidia-current,
      add nvidia-libopencl1-331 | nvidia-libopencl1-331-updates

 -- Graham Inggs <graham@nerve.org.za>  Sat, 08 Mar 2014 10:30:34 +0200

nvidia-cuda-toolkit (5.5.22-3) unstable; urgency=low

  * Bump the alternate virtual B-D to libcuda-5.5-1.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Nov 2013 01:19:29 +0100

nvidia-cuda-toolkit (5.5.22-2) experimental; urgency=low

  * Add missing Breaks/Replaces to libcuinj{32,64}-5.5 for a clean takeover of
    the libcuinj{32,64}.so symlink from libcuinj{32,64}-5.0.
  * nvcc.profile: Add missing NVVMIR_LIBRARY_DIR setting.  (Closes: #725649)
  * nvcc.profile: Add -L/usr/lib/<triplet> to make nvlink multiarch aware.
  * Drop the gcc/g++ wrappers, all versions up to 4.8 are supported.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Oct 2013 13:39:10 +0200

nvidia-cuda-toolkit (5.5.22-1) experimental; urgency=low

  * New upstream release 5.5 (July 2013).
  * Upload to experimental.
  * Update watch file.
  * debian/copyright: Synchronize with reformatted and updated EULA.txt.
  * SOVERSION bump: 5.0 => 5.5, rename all library packages.
  * libnpp[cis]5.5: New packages replacing the split libnpp5.0 library.
  * libnvtoolsext1: Renamed from libnvtoolsext5.0, upstream soname change.
  * libnvvm2: New package for the NVCC runtime library.
  * libcufftw5.5: New package for CUDA FFT library with FFTW interface.
  * Ship new binaries and auxiliary files.
  * Update symbols control files.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Sep 2013 14:17:57 +0200

nvidia-cuda-toolkit (5.0.35-8) unstable; urgency=low

  * Simplify renaming control files on SOVERSION change.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 20:58:39 +0200

nvidia-cuda-toolkit (5.0.35-7ubuntu1) saucy; urgency=low

  [ Graham Inggs ]
  * nvidia-opencl-dev: Loosen the dependency on nvidia-libopencl1. (LP: #1230325)
  * List the correct XSBC-Original-Maintainer and Maintainer.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 27 Sep 2013 14:34:02 +0200

nvidia-cuda-toolkit (5.0.35-7) unstable; urgency=low

  * nvidia-opencl-dev: Provides/Conflicts/Replaces: opencl-dev.
  * nvidia-opencl-dev: Set Multi-Arch: same.
    - Ship libOpenCL.so symlink previously in nvidia-libopencl1.
      (Closes: #719833)
    - Tighten the dependency on nvidia-libopencl1.
  * nvidia-cuda-toolkit: Allow opencl-dev as an alternative to
    nvidia-opencl-dev. (Closes: #719834)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2013 06:48:53 +0200

nvidia-cuda-toolkit (5.0.35-6) unstable; urgency=low

  [ Graham Inggs ]
  * Dependency updates for Ubuntu Saucy: nvidia-* now provides libcuda-5.0-1
    and libopencl1 virtual packages. Use these instead of enumerating all
    packaged driver versions.  (Closes: #710820)

  [ Andreas Beckmann ]
  * nvidia-cuda-dev: Add Breaks against too old libcuda1 versions.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jul 2013 11:37:43 +0200

nvidia-cuda-toolkit (5.0.35-5) unstable; urgency=low

  * Use canonical Vcs-* URLs.
  * Update lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2013 11:59:50 +0200
