=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Russ Allbery <rra@debian.org>,
 Build-Depends:
  debhelper (>= 9),
- libcuda1 | nvidia-current | nvidia-current-updates | nvidia-experimental-304 | nvidia-experimental-310 | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates,
-Standards-Version: 3.9.4
+ libcuda1 | libcuda-5.5-1
+Standards-Version: 3.9.5
 Homepage: http://www.nvidia.com/CUDA
-Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-cuda-toolkit/
 XS-Autobuild: yes
 
 Package: nvidia-cuda-toolkit
@@ -21,8 +21,9 @@
 Depends:
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
- nvidia-opencl-dev (= ${binary:Version}),
- gcc-4.6 | gcc-4.5 | gcc-4.4, g++-4.6 | g++-4.5 | g++-4.4,
+ nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
+ gcc,
+ g++,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
@@ -133,18 +134,24 @@
  libcudart${cuda:SoVersion} (= ${binary:Version}),
  libcublas${cuda:SoVersion} (= ${binary:Version}),
  libcufft${cuda:SoVersion} (= ${binary:Version}),
+ libcufftw${cuda:SoVersion} (= ${binary:Version}),
  libcusparse${cuda:SoVersion} (= ${binary:Version}),
  libcurand${cuda:SoVersion} (= ${binary:Version}),
- libnpp${cuda:SoVersion} (= ${binary:Version}),
+ libnppc${cuda:SoVersion} (= ${binary:Version}),
+ libnppi${cuda:SoVersion} (= ${binary:Version}),
+ libnpps${cuda:SoVersion} (= ${binary:Version}),
  libcuinj32-${cuda:SoVersion} (= ${binary:Version}) [i386],
  libcuinj64-${cuda:SoVersion} (= ${binary:Version}) [amd64],
- libnvtoolsext${cuda:SoVersion} (= ${binary:Version}),
+ libnvtoolsext1 (= ${binary:Version}),
+ libnvvm2 (= ${binary:Version}),
  libthrust-dev,
  ${misc:Depends}
 Recommends:
  ${package:libcuda1},
  libgl1-mesa-dev | libgl-dev,
  libvdpau-dev,
+Breaks:
+ libcuda1 (<< ${nvidia:MinVersion}),
 Description: NVIDIA CUDA development files
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
  graphics processing units (GPUs) to be used for massively parallel
@@ -155,16 +162,22 @@
 Package: nvidia-opencl-dev
 Section: non-free/libdevel
 Architecture: i386 amd64
-Depends:
- ${package:nvidia-libopencl1} | libopencl1,
+Multi-Arch: same
+Depends:
+ ${package:nvidia-libopencl1},
  opencl-headers (>= 1.1),
  ${misc:Depends}
 Recommends:
  libgl1-mesa-dev | libgl-dev,
 Provides:
  opencl-dev,
+Conflicts:
+ opencl-dev,
 Breaks:
- nvidia-libopencl1 (<< 195.36.31-90)
+ nvidia-libopencl1 (<< 304.88-7),
+Replaces:
+ opencl-dev,
+ nvidia-libopencl1 (<< 304.88-7),
 Description: NVIDIA OpenCL development files
  OpenCL (Open Computing Language) is a multi-vendor open standard for
  general-purpose parallel programming of heterogeneous systems that include
@@ -172,7 +185,7 @@
  .
  This metapackage provides the development files: headers and libraries.
 
-Package: libcudart5.0
+Package: libcudart5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -186,7 +199,7 @@
  .
  This package contains the runtime library.
 
-Package: libcublas5.0
+Package: libcublas5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -198,7 +211,7 @@
  .
  This package contains the CUDA BLAS runtime library.
 
-Package: libcufft5.0
+Package: libcufft5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -210,7 +223,19 @@
  .
  This package contains the CUDA FFT runtime library.
 
-Package: libcusparse5.0
+Package: libcufftw5.5
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: NVIDIA CUDA FFTW runtime library
+ The Compute Unified Device Architecture (CUDA) enables NVIDIA
+ graphics processing units (GPUs) to be used for massively parallel
+ general purpose computation.
+ .
+ This package contains the CUDA FFTW runtime library.
+
+Package: libcusparse5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -222,7 +247,7 @@
  .
  This package contains the CUDA Sparse Matrix runtime library.
 
-Package: libcurand5.0
+Package: libcurand5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -234,13 +259,13 @@
  .
  This package contains the CUDA Random Numbers Generation runtime library.
 
-Package: libnpp5.0
+Package: libnppc5.5
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Homepage: http://developer.nvidia.com/npp
-Description: NVIDIA Performance Primitives runtime library
+Description: NVIDIA Performance Primitives core runtime library
  NVIDIA NPP is a library of functions for performing CUDA accelerated
  processing.  The initial set offunctionality in the library focuses on imaging
  and video processing and is widely applicable for developers in these areas.
@@ -248,15 +273,51 @@
  variety of problem domains.  The NPP library is written to maximize
  flexibility, while maintaining high performance.
  .
- This package contains the NVIDIA Performance Primitives runtime library.
-
-Package: libcuinj32-5.0
+ This package contains the NVIDIA Performance Primitives core runtime library.
+
+Package: libnppi5.5
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Homepage: http://developer.nvidia.com/npp
+Description: NVIDIA Performance Primitives for image processing runtime library
+ NVIDIA NPP is a library of functions for performing CUDA accelerated
+ processing.  The initial set offunctionality in the library focuses on imaging
+ and video processing and is widely applicable for developers in these areas.
+ NPP will evolve over time to encompass more of the compute heavy tasks in a
+ variety of problem domains.  The NPP library is written to maximize
+ flexibility, while maintaining high performance.
+ .
+ This package contains the NVIDIA Performance Primitives runtime library for
+ image processing.
+
+Package: libnpps5.5
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Homepage: http://developer.nvidia.com/npp
+Description: NVIDIA Performance Primitives for signal processing runtime library
+ NVIDIA NPP is a library of functions for performing CUDA accelerated
+ processing.  The initial set offunctionality in the library focuses on imaging
+ and video processing and is widely applicable for developers in these areas.
+ NPP will evolve over time to encompass more of the compute heavy tasks in a
+ variety of problem domains.  The NPP library is written to maximize
+ flexibility, while maintaining high performance.
+ .
+ This package contains the NVIDIA Performance Primitives runtime library for
+ signal processing.
+
+Package: libcuinj32-5.5
 Architecture: i386
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
-Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
+Replaces:
+ libcuinj32-5.0 (<< 5.5),
+Breaks:
+ libcuinj32-5.0 (<< 5.5),
 Description: NVIDIA CUDA INJ runtime library (32-bit)
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
  graphics processing units (GPUs) to be used for massively parallel
@@ -264,64 +325,17 @@
  .
  This package contains the 32-bit CUDA INJ runtime library.
 
-Package: libcuinj64-5.0
+Package: libcuinj64-5.5
 Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
-Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
+Replaces:
+ libcuinj64-5.0 (<< 5.5),
+Breaks:
+ libcuinj64-5.0 (<< 5.5),
 Description: NVIDIA CUDA INJ runtime library (64-bit)
  The Compute Unified Device Architecture (CUDA) enables NVIDIA
  graphics processing units (GPUs) to be used for massively parallel
  general purpose computation.
  .
- This package contains the 64-bit CUDA INJ runtime library.
-
-Package: libnvtoolsext5.0
-Architecture: i386 amd64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: http://http.developer.nvidia.com/ParallelNsight/1.51/UserGuide/HTML/How_To_Use_the_NVIDIA_Tools_Extension_Library_%28nvtx%29.html
-Description: NVIDIA Tools Extension
- The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and
- ranges in your applications. Applications which integrate NVTX can use Nsight
- to capture and visualize these events and ranges.
- .
- This package contains the NVIDIA Tools Extension runtime library.
-
-Package: libcupti5.0
-Architecture: i386 amd64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface runtime library
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
- performance optimization tools. The CUPTI APIs are not intended to be
- used by developers in their CUDA applications.
- .
- This package contains the runtime library.
-
-Package: libcupti-dev
-Section: non-free/libdevel
-Architecture: i386 amd64
-Multi-Arch: same
-Depends: libcupti${cuda:SoVersion} (= ${binary:Version}), ${misc:Depends}
-Recommends: libcupti-doc
-Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
-Description: NVIDIA CUDA Profiler Tools Interface development files
- The CUDA Profiler Tools Interface (CUPTI) enables the creation of
- profiling and tracing tools that target CUDA applications.  CUPTI
- provides a set of APIs targeted at ISVs creating profilers and other
- performance optimization tools. The CUPTI APIs are not intended to be
- used by developers in their CUDA applications.
- .
- This package contains the development files: headers and libraries.
-
-Package: libcupti-doc
-Section: non-free/doc
-Architecture: all
