=== debian/watch ===
version=3
http://developer.nvidia.com/cuda-downloads .*/cuda_(.*)_linux_32.run
http://developer.nvidia.com/cuda-downloads .*/cuda_(.*)_linux_64.run

# source code for nvopencc and cuda-gdb is available here:
# ftp://download.nvidia.com/CUDAOpen64/
